/* "eqcs_handle.h"
 * Copyright (C) 1999 Peter Belkner <pbelkner@berlin.snafu.de>
 *
 * This file is part of the eqcs library. This library is free
 * software; you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software
 * Foundation; either version 2, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; see the file COPYING.  If not, write to the
 * Free Software Foundation, 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef	_EQCS_HANDLE_H_
#ifdef __GNUG__
#pragma interface
#endif
#define	_EQCS_HANDLE_H_

class EqcsBody;

/*****************************************************************************\
*	handle																	  *
\*****************************************************************************/

class EqcsHandle {
public:
	typedef EqcsBody rep_t;

	EqcsHandle(rep_t *rep=0);
	EqcsHandle(const EqcsHandle &h);
	~EqcsHandle();

	EqcsHandle &operator=(const EqcsHandle &h);

	rep_t *rep() const;
private:
	rep_t *_rep;
};

#endif	//	_EQCS_HANDLE_H_
